post
https://sandbox.saner.secpod.com/AncorWebService/perform
Create Firmware Remediation Job.
This method allows users to create remediation jobs for firmware patches.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountid | Account identifier | Yes | string |
| name | Name of the remediation job | Yes | string |
| schedule | Schedule date (YYYY-MM-DD format), or immediate to run at once | Yes | string |
| starttime | Job start time (HH:MM:AM/PM format) | No (required unless schedule is immediate) | string |
| startwindowtime | Job start window time (HH:MM:AM/PM format) | No (required unless schedule is immediate) | string |
| endtime | Job end time (HH:MM:AM/PM format) | No | string |
| forcereboot | Force reboot option (true/false) | No | string |
| device | Target device(s) | Yes | array |
| remjobpatchesinfo | Firmware patch details including patch metadata (JSON array) | Yes | array |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Patch.createFirmwareRemediationJob(
accountid="Demo Account",
name="demo job",
schedule="immediate",
device=["device 1"],
remjobpatchesinfo=[
{
"patchname": "ATA Channel 1",
"patchid": "pid:PCIIDE\\IDECHANNEL\\4&3084357F&0&1",
"detected": "2024-08-20 01:42:03 PM UTC",
"vendor": "microsoft"
},
{
"patchname": "Common KVM processor",
"patchid": "pid:ACPI\\GENUINEINTEL_-_INTEL64_FAMILY_15_MODEL_6_-_COMMON_KVM_PROCESSOR\\_3",
"detected": "2024-08-20 01:42:03 PM UTC",
"vendor": "microsoft"
}
]
)
print(response)
client.close()Requires Python 3.9 or later.